Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
radm::KvmPort Interface Reference
Inheritance diagram for radm::KvmPort:

## Classes
struct | ActiveUsbProfileChangedEvent
| Event: Active USB profile has changed. More...
struct | Capabilities
struct | CapabilitiesChangedEvent
| Event: The port capabilities have changed. More...
struct | CimInfo
| Information about a CIM connected to a port. More...
struct | CimInfoChangedEvent
| Event: The port ciminfo have changed. More...
struct | CimPortSettings
| Settings for CIM-based ports. More...
struct | DigitalPortSettings
| Settings for digital (non-CIM) ports. More...
struct | GroupInfo
| Information about group membership of this port. More...
struct | GroupInfoChangedEvent
| Event: The port group has changed. More...
struct | IntelligentMouseSettings
struct | MultiMonitorGroupInfo
| Information about group membership in case this port is part of a multi-monitor group. More...
struct | Settings
struct | SettingsChangedEvent
| Event: The port settings have changed. More...
struct | UsbSettings
| USB settings for devices without usbProfiles capability. More...

## Public Types
enum | PortType { KVM , BLADEPORT , BLADECHASSIS }
enum | EdidSource { STANDARD , CUSTOM , LOCAL }
enum | CimNamingMode { CIM_TO_PORT , PORT_TO_CIM_ONCE , PORT_TO_CIM_ALWAYS }
Public Types inherited from radm::AccessPort
enum | Availability { AVAILABLE , OCCUPIED , BUSY , UNAVAILABLE , INACCESSIBLE }
enum | State { INACTIVE , ACTIVE }

## Public Member Functions
Capabilities | getCapabilities ()
| Get port capabilities.
Settings | getSettings ()
| Get port settings.
int | setSettings (in Settings settings)
| Set port settings.
GroupInfo | getGroupInfo ()
| Get information about port group membership.
CimInfo | getCimInfo ()
| Get information about a CIM connected to the port.
Public Member Functions inherited from radm::AccessPort
Status | getStatus ()
| Get port status.
vector< OutletPort > | getAssociatedOutletPorts ()
| Get associated outlet ports.
int | setAssociatedOutletPorts (in vector< OutletPort > associations)
| Set associated outlet ports.
int | doPowerOperation (in PowerOperation op)
| Execute power operation on associated outlet ports.
Public Member Functions inherited from radm::BasePort
Metadata | getMetadata ()
| Get port meta data.
string | getName ()
| Get port name.
int | setName (in string name)
| Set port name.

## Public Attributes
constant int | ERR_USB_RECONFIG_NOT_ALLOWED_BUSY = 20
Public Attributes inherited from radm::AccessPort
constant int | ERR_PDU_NOT_ACTIVE = 10
Public Attributes inherited from radm::BasePort
constant int | ERR_INVALID_ARGUMENT = 1

## Detailed Description

Definition at line 11 of file KvmPort.idl.

## Member Enumeration Documentation

## ◆ CimNamingMode

enum radm::KvmPort::CimNamingMode

Enumerator
CIM_TO_PORT | Transfer CIM name to port name.
PORT_TO_CIM_ONCE | Transfer port name to CIM name on next connection.
PORT_TO_CIM_ALWAYS | Transfer port name to CIM name on every connection.

Definition at line 48 of file KvmPort.idl.

## ◆ EdidSource

enum radm::KvmPort::EdidSource

Enumerator
STANDARD | Use built-in EDID data.
CUSTOM | Use custom EDID data previously uploaded.
LOCAL | Use EDID data of a locally attached monitor.

Definition at line 42 of file KvmPort.idl.

## ◆ PortType

enum radm::KvmPort::PortType

Definition at line 14 of file KvmPort.idl.

## Member Function Documentation

## ◆ getCapabilities()

Capabilities radm::KvmPort::getCapabilities | ( |  | ) |

Get port capabilities.

Returns
  Port capabilities

## ◆ getCimInfo()

CimInfo radm::KvmPort::getCimInfo | ( |  | ) |

Get information about a CIM connected to the port.

Returns
  CIM information object in case a CIM is connected to the port

## ◆ getGroupInfo()

GroupInfo radm::KvmPort::getGroupInfo | ( |  | ) |

Get information about port group membership.

Returns
  Group information object in case this port is part of a group

## ◆ getSettings()

Settings radm::KvmPort::getSettings | ( |  | ) |

Get port settings.

Returns
  Port settings

## ◆ setSettings()

int radm::KvmPort::setSettings | ( | in Settings | settings | ) |

Set port settings.

Parameters

  settings | New settings

Returns
  0 on success
  1 if any setting was invalid
  20 if USB settings could not be changed due to the port currently being in use

## Member Data Documentation

## ◆ ERR_USB_RECONFIG_NOT_ALLOWED_BUSY

constant int radm::KvmPort::ERR_USB_RECONFIG_NOT_ALLOWED_BUSY = 20

Definition at line 12 of file KvmPort.idl.

The documentation for this interface was generated from the following file:

- KvmPort.idl